Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class Label

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.TextElement
              info.bioinfweb.treegraph.document.Label

All Implemented Interfaces:
  PaintableElement, java.lang.Cloneable

Direct Known Subclasses:
  CharShiftLabel, TextLabel

    public abstract class Label

extends TextElement
implements java.lang.Cloneable

Label is the acestor of the two label classes `TextLabel` and `CharacterShiftLabel`.

Author:
  BenStoever

Field Summary
`private java.lang.String` | `id`
`private Labels` | `labels`
`private static java.util.regex.Pattern` | `pattern`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`Label(Labels labels)`

Method Summary
`Label` | `clone()` Copys the object.
`java.lang.String` | `getID()`
`Labels` | `getLabels()`
`abstract LabelPositionFormats` | `getPositionFormats()`
`static boolean` | `idIsValid(java.lang.String id)`
`void` | `reinsert()`
`void` | `setID(java.lang.String id)`
`void` | `setLabels(Labels labels)`
`abstract void` | `setPositionFormats(LabelPositionFormats formats)`

Methods inherited from class info.bioinfweb.treegraph.document.TextElement
`getData, getFormats, toString`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`setFormats`

Field Detail

### pattern

    private static final java.util.regex.Pattern pattern

### labels

    private Labels labels

### id

    private java.lang.String id

Constructor Detail

### Label

    public Label(Labels labels)

Method Detail

### getID

    public java.lang.String getID()

### getLabels

    public Labels getLabels()

### setLabels

    public void setLabels(Labels labels)

### setID

    public void setID(java.lang.String id)

### getPositionFormats

    public abstract LabelPositionFormats getPositionFormats()

### setPositionFormats

    public abstract void setPositionFormats(LabelPositionFormats formats)

### idIsValid

    public static boolean idIsValid(java.lang.String id)

### reinsert

    public void reinsert()

### clone

    public Label clone()

  Description copied from class: `ConcretePaintableElement`
  Copys the object. The internal `EnumMap positions` is not copied because the copy of this element will be at another position. Therefor the copy will have an empty `EnumMap` for the positions.

  Overrides:
    `clone` in class `TextElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD